Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface FocusListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DelegatingFocusListenerCollection, FocusListenerAdapter

    public interface FocusListener

extends java.util.EventListener

Event listener for focus events.

Method Summary
`void` | `onFocus(Widget sender)` Fired when a widget receives keyboard focus.
`void` | `onLostFocus(Widget sender)` Fired when a widget loses keyboard focus.

Method Detail

### onFocus

    void onFocus(Widget sender)

  Fired when a widget receives keyboard focus.

  Parameters:
    `sender` - the widget receiving focus.

### onLostFocus

    void onLostFocus(Widget sender)

  Fired when a widget loses keyboard focus.

  Parameters:
    `sender` - the widget losing focus.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD